/*
 * Programming in Java, Jacobs University, 2015
 *
 * This file demonstrates how to implement a chat client that sends 
 * a ping (in the form of a single character) every number of
 * milliseconds. It never completes a line...
 */

import java.net.InetAddress;
import java.net.Socket;
import java.io.IOException;

import java.util.concurrent.TimeUnit;

public class ChatPinger
{
    public static void main(String[] args)
	throws IOException
    {
	try {
	    InetAddress addr = InetAddress.getByName("localhost");
	    Socket socket = new Socket(addr, ChatClient.PORT);
	    ChatClient c = new ChatClient(socket);
	    
	    String msg = "x";
	    while (! Thread.currentThread().isInterrupted()) {
		try {
		    c.send(msg);
		    TimeUnit.MILLISECONDS.sleep(42);
		} catch (InterruptedException e) {
		    // reassert the interrupt to maintain the interrupt state
		    Thread.currentThread().interrupt();
		}
	    }
	} catch (IOException e) {
	    System.err.println(e);
	    System.exit(1);
	}
    }
}
